"""Add workflow version meta-data

Revision ID: e5a6e6150329
Revises: d529539703f6
Create Date: 2024-11-06 13:33:01.497827

"""

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision: str = "e5a6e6150329"
down_revision: str | None = "d529539703f6"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "news",
        "category",
        existing_type=mysql.ENUM("workflow", "resource", "system"),
        type_=sa.Enum("workflow", "resource", "system", native_enum=True),
        existing_nullable=False,
    )
    op.add_column("workflow_version", sa.Column("default_container", sa.String(length=512), nullable=True))
    op.add_column("workflow_version", sa.Column("nextflow_config", mysql.TEXT(), nullable=True))
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("workflow_version", "nextflow_config")
    op.drop_column("workflow_version", "default_container")
    op.alter_column(
        "news",
        "category",
        existing_type=sa.Enum("workflow", "resource", "system", native_enum=True),
        type_=mysql.ENUM("workflow", "resource", "system"),
        existing_nullable=False,
    )
    # ### end Alembic commands ###
